Home / GitHub Page

Error: Unknown profile version


#1

On my debian 9.1, I update joplin with the appimage package by downloading and launching it from the command line, and often it asks me if I want to allow it to add the joplin shortcut to the menu, and I reply yes.
But this time it does not ask me to. So ok no problem.
I close joplin and restart it from the menu but I face the error:

Fatal error:

Unknown profile version. Most likely this is an old version of Joplin, while the profile was created by a newer version. Please upgrade Joplin at https://joplin.cozic.net and try again.

Error: Unknown profile version. Most likely this is an old version of Joplin, while the profile was created by a newer version. Please upgrade Joplin at https://joplin.cozic.net and try again.
    at JoplinDatabase.upgradeDatabase (/tmp/.mount_JoplinYwyu7X/app/resources/app/lib/joplin-database.js:209:38)

    at <anonymous>
    at process._tickCallback (internal/process/next_tick.js:109:7)

How can I fix it ?


#2

It’s probably starting the wrong version of Joplin. Could you re-download the latest version and run it directly to confirm?


#3

Yes it runs the bad version, but I have to digg into the config of the XFCE menu where joplin is installed to set the correct path


#4

the file was here /home/foxmask/.local/share/applications/appimagekit-joplin.desktop
I dropped it and reinstalled the dialog box system (zenity) to allow joplin to add the link to the menu